%define	upstream_name	 Digest-SHA
%define upstream_version 5.85

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for SHA-1/224/256/384/512
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
Conflicts:  perl-Digest-SHA-PurePerl < 5.610.0-2.mga

%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, and SHA-512 message digests.  The module can handle all types of
input, including partial-byte data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%makeinstall_std
# to prevent conflict with perl-Digest-SHA
mv %{buildroot}/%{_bindir}/shasum %{buildroot}/%{_bindir}/shasum-%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/shasum.1 %{buildroot}/%{_mandir}/man1/shasum-%{upstream_version}.1

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.850.0-2.mga4
+ Revision: 529466
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 5.850.0-1.mga4
+ Revision: 451885
- update to 5.85

* Mon Jun 03 2013 jquelin <jquelin> 5.840.0-1.mga4
+ Revision: 436397
- update to 5.84

* Wed May 29 2013 jquelin <jquelin> 5.800.0-5.mga4
+ Revision: 430680
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 5.800.0-4.mga4
+ Revision: 430010
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 5.800.0-3.mga3
+ Revision: 405470
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.800.0-2.mga3
+ Revision: 365933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 5.800.0-1.mga3
+ Revision: 341869
- update to 5.80

* Wed Nov 07 2012 jquelin <jquelin> 5.730.0-1.mga3
+ Revision: 315498
- update to 5.73

* Wed Sep 26 2012 jquelin <jquelin> 5.720.0-1.mga3
+ Revision: 297941
- update to 5.72

* Wed May 30 2012 jquelin <jquelin> 5.710.0-2.mga3
+ Revision: 250579
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 5.710.0-1.mga2
+ Revision: 219769
- update to 5.71

* Thu Dec 15 2011 jquelin <jquelin> 5.700.0-1.mga2
+ Revision: 181837
- update to 5.70

* Thu Nov 10 2011 kharec <kharec> 5.630.0-1.mga2
+ Revision: 166319
- update to 5.63

* Fri Nov 04 2011 jquelin <jquelin> 5.620.0-2.mga2
+ Revision: 162803
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 5.620.0-1.mga2
+ Revision: 112097
- update to 5.62
- perl 5.14

* Sat Jun 11 2011 jquelin <jquelin> 5.610.0-3.mga2
+ Revision: 103467
- bump mkrel
- fixing conflicts with perl-base

* Mon Apr 04 2011 jquelin <jquelin> 5.610.0-2.mga1
+ Revision: 80346
- fix bug#607 - urpmi hints to upgrade perl-Digest-SHA & perl-Digest-SHA-PurePerl in same transaction

* Thu Mar 10 2011 jquelin <jquelin> 5.610.0-1.mga1
+ Revision: 67615
- update to 5.61

* Wed Mar 09 2011 jquelin <jquelin> 5.600.0-1.mga1
+ Revision: 66958
- update to 5.60

* Tue Jan 18 2011 blino <blino> 5.500.0-2.mga1
+ Revision: 23264
- rebuild for new perl

* Wed Jan 12 2011 jquelin <jquelin> 5.500.0-1.mga1
+ Revision: 7361
- imported package perl-Digest-SHA


* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 5.500.0-1mdv2011.0
+ Revision: 622682
- update to new version 5.50

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 5.480.0-4mdv2011.0
+ Revision: 564430
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 5.480.0-3mdv2011.0
+ Revision: 555246
- rebuild
- rebuild for 5.12

* Tue Jan 05 2010 Jérôme Quelin <jquelin@mandriva.org> 5.480.0-1mdv2010.1
+ Revision: 486310
- update to 5.48

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 5.470.0-1mdv2010.0
+ Revision: 403152
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 5.47-3mdv2009.1
+ Revision: 351719
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 5.47-2mdv2009.0
+ Revision: 265357
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.47-1mdv2009.0
+ Revision: 201852
- update to new version 5.47

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.46-1mdv2009.0
+ Revision: 194850
- update to new version 5.46
- update to new version 5.46

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 5.45-2mdv2008.1
+ Revision: 152067
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.45-1mdv2008.0
+ Revision: 46523
- update to new version 5.45


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.44-1mdv2007.0
+ Revision: 86575
- new version
- Import perl-Digest-SHA

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.43-1mdv2007.0
- New version 5.43

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.42-1mdv2007.0
- New version 5.42

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.41-1mdv2007.0
- New release 5.41
- HTTP source URL

* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 5.39-1mdv2007.0
- New release 5.39

* Fri May 26 2006 Scott Karns <scottk@mandriva.org> 5.38-1mdv2007.0
- New release 5.38
- Removed BuildRequires perl(Module::Build)

* Thu May 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.37-1mdk
- New release 5.37

* Mon May 08 2006 Scott Karns <scottk@mandriva.org> 5.36-1mdk
- New release 5.36

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.34-1mdk
- New release 5.34
- fix optimisations

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.32-1mdk
- New release 5.32
- spec cleanup
- fix directory ownership
- better summary

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.31-1mdk
- New release 5.31

* Fri Sep 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.30-1mdk
- 5.30

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.29-1mdk
- new version
- fix sources url for rpmbuildupdate

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.28-1mdk
- 5.28

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 5.26-1mdk
- initial Mandriva package

